<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div><strong>Jaki jest Twój ulubiony kolor?</strong></div>
<form method="get" action="ankieta.php">
<div>
<table>
<?php
$dsn = "mysql:host=localhost;dbname=testphp";
  $uzytkownik = "php";
  $haslo = "test";

  try{
    $dbo = new PDO($dsn, $uzytkownik, $haslo);
  }
  catch (PDOException $e){
    //echo 'Błąd połączenia: ' . $e->getMessage();
    return false;
  }

  $query = "SELECT kolor FROM kolory";
  $result = $dbo->query($query);

  if(!$result){
    //echo "Błąd w zapytaniu UPDATE";
    return false;
  }
  while($row = $result->fetch(PDO::FETCH_NUM)):    
?>
  <tr>
    <td><?php echo $row[0]; ?></td>
    <td>
      <input type="radio" name="vote" value="<?php echo $row[0]; ?>" />
    </td>
  </tr>
<?php
  endwhile;
  $dbo = null;
?>
  <tr>
    <td colspan="2">
      <input type="submit" value="Głosuj" />
    </td>
  </tr>
</table>
</div>
</form>
</body>
</html>